# Visualization Library A lightweight C++ OpenGL middleware for 2D/3D graphics | [Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::DiskDirectory Class Reference

A VirtualDirectory that operates on reguar disk directories. More...

`#include <DiskDirectory.hpp>`

Inheritance diagram for vl::DiskDirectory:

List of all members.

## Public Member Functions
| DiskDirectory ()
| DiskDirectory (const String &path)
virtual const char * | className ()
| Returns the name of the class.
void | listFilesRecursive (std::vector< String > &file_list) const
| Use carefully this function, since this search the whole given file system tree.
void | listFiles (std::vector< String > &file_list, bool append=false) const
void | listFiles (std::vector< ref< DiskFile > > &file_list, bool append=false) const
void | listSubDirs (std::vector< String > &dirs, bool append=false) const
ref< DiskDirectory > | diskSubDir (const String &subdir_name) const
ref< VirtualDirectory > | subDir (const String &subdir_name) const
virtual ref< VirtualFile > | file (const String &name) const
| Returns the VirtualFile with the given name if any, NULL otherwise.
virtual ref< DiskFile > | diskFile (const String &name) const
bool | exists () const
## Protected Member Functions
void | listFilesRecursive_internal (std::vector< String > &file_list) const

## Detailed Description

A VirtualDirectory that operates on reguar disk directories.

See also:
  - MemoryDirectory
  - ZippedDirectory
  - FileSystem
  - VirtualFile
  - DiskFile
  - MemoryFile
  - ZippedFile

## Constructor & Destructor Documentation

DiskDirectory::DiskDirectory | ( |  | ) |

DiskDirectory::DiskDirectory | ( | const String & | path | ) |

## Member Function Documentation

virtual const char* vl::DiskDirectory::className | ( |  | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::VirtualDirectory.

void DiskDirectory::listFilesRecursive | ( | std::vector< String > & | file_list | ) | const`[virtual]`

Use carefully this function, since this search the whole given file system tree.

Implements vl::VirtualDirectory.

void vl::DiskDirectory::listFiles | ( | std::vector< String > & | file_list,
|  | bool | append = `false` |
| ) |  |  | const`[virtual]`

Implements vl::VirtualDirectory.

void vl::DiskDirectory::listFiles | ( | std::vector< ref< DiskFile > > & | file_list,
|  | bool | append = `false` |
| ) |  |  | const

void vl::DiskDirectory::listSubDirs | ( | std::vector< String > & | dirs,
|  | bool | append = `false` |
| ) |  |  | const`[virtual]`

Implements vl::VirtualDirectory.

ref< DiskDirectory > DiskDirectory::diskSubDir | ( | const String & | subdir_name | ) | const

ref<VirtualDirectory> vl::DiskDirectory::subDir | ( | const String & | subdir_name | ) | const`[inline, virtual]`

Implements vl::VirtualDirectory.

virtual ref<VirtualFile> vl::DiskDirectory::file | ( | const String & | name | ) | const`[virtual]`

Returns the VirtualFile with the given name if any, NULL otherwise.

Implements vl::VirtualDirectory.

virtual ref<DiskFile> vl::DiskDirectory::diskFile | ( | const String & | name | ) | const`[virtual]`

bool DiskDirectory::exists | ( |  | ) | const

void vl::DiskDirectory::listFilesRecursive_internal | ( | std::vector< String > & | file_list | ) | const`[protected]`

The documentation for this class was generated from the following files:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/DiskDirectory.hpp
- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/DiskDirectory.cpp

Visualization Library v2009.08 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Sun Nov 29 11:11:45 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.